Skip to content
vocapable.Docs

Make the company's connected Square account its merchant (explicit switch)

POST
/v1/workspace/merchant/square
curl --request POST \
--url https://api.vocapable.com/v1/workspace/merchant/square \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "installation_id": "example", "location_id": "example", "replace_current": false, "expected_revision": 1 }'
Media typeapplication/json
WorkspaceSquareMerchantEnable
object
installation_id
required
Installation Id
string
location_id
required
Location Id
string
>= 1 characters <= 64 characters
replace_current
Replace Current
boolean
expected_revision
Any of:
integer
>= 1

Successful Response

Media typeapplication/json
WorkspaceMerchantState

The company’s own merchant account for customer payments (not Vocapable billing).

object
platform_ready
required
Platform Ready
boolean
platform_blocker
required
Any of:
string
Allowed values: platform_not_configured platform_decision_required live_payments_not_enabled
platform_environment
required
Any of:
string
Allowed values: test live
account
required
Any of:
WorkspaceMerchantAccount
object
id
required
Id
string
provider
required
Provider
string
Allowed values: stripe square
external_account_id
required
External Account Id
string
environment
required
Environment
string
Allowed values: test live
status
required
Status
string
Allowed values: pending active restricted disconnected
charges_enabled
required
Charges Enabled
boolean
details_submitted
required
Details Submitted
boolean
disabled_reason
required
Any of:
string
default_currency
required
Any of:
string
last_synced_at
required
Any of:
string format: date-time
revision
required
Revision
integer
can_manage
required
Can Manage
boolean
Example
{
"platform_blocker": "platform_not_configured",
"platform_environment": "test",
"account": {
"provider": "stripe",
"environment": "test",
"status": "pending"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}